# eric6.E5Gui.E5AnimatedWidget

Module implementing an animated widget.

### Global Attributes

None

### Classes

E5AnimatedWidget | Class implementing an animated widget.

### Functions

None

## E5AnimatedWidget

Class implementing an animated widget.

### Derived from

QWidget

### Class Attributes

DirectionDown
DirectionUp

### Class Methods

None

### Methods

E5AnimatedWidget | Constructor
__animateFrame | Private slot to animate the next frame.
hide | Public slot to hide the animated widget.
resizeEvent | Protected method to handle a resize event.
startAnimation | Public slot to start the animation.
widget | Public method to get a reference to the animated widget.

### Static Methods

None

#### E5AnimatedWidget (Constructor)

E5AnimatedWidget(direction=DirectionDown, duration=300, parent=None)

Constructor

direction (int (one of DirectionDown or DirectionUp))
  direction of the animation
duration (int)
  duration of the animation
parent (QWidget)
  reference to the parent widget

#### E5AnimatedWidget.__animateFrame

__animateFrame(frame)

Private slot to animate the next frame.

frame (int)
  frame number

#### E5AnimatedWidget.hide

hide()

Public slot to hide the animated widget.

#### E5AnimatedWidget.resizeEvent

resizeEvent(evt)

Protected method to handle a resize event.

evt (QResizeEvent)
  reference to the event object

#### E5AnimatedWidget.startAnimation

startAnimation()

Public slot to start the animation.

#### E5AnimatedWidget.widget

widget()

Public method to get a reference to the animated widget.

Returns:
  reference to the animated widget

Return Type:
  QWidget

Up